Bug 476868 - Enabling WCG or applying ICC "increases" window transparency
Summary: Enabling WCG or applying ICC "increases" window transparency
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: qt6
Depends on:
Blocks:
 
Reported: 2023-11-12 05:20 UTC by hexchain
Modified: 2024-07-06 03:18 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.2.0
Sentry Crash Report:


Attachments
Konsole on about:blank, without ICC (16.96 KB, image/png)
2023-11-12 05:20 UTC, hexchain
Details
Konsole on about:blank, with ICC (18.50 KB, image/png)
2023-11-12 05:21 UTC, hexchain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hexchain 2023-11-12 05:20:39 UTC
Created attachment 163066 [details]
Konsole on about:blank, without ICC

SUMMARY
I've noticed that after enabling WCG or applying an ICC, semi-transparent windows like Konsole appeared more transparent than they previously were.

Please see the screenshots.


STEPS TO REPRODUCE
1. Enable WCG or apply an ICC

OBSERVED RESULT
Semi-transparent windows, like Konsole, appear clearer.

EXPECTED RESULT
The transparency level should look the same.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.81.0
KDE Frameworks Version: 5.245.0
Qt Version: 6.6.0
Kernel Version: 6.6.0-arch1-1 (64-bit)
Graphics Platform: Wayland
Comment 1 hexchain 2023-11-12 05:21:01 UTC
Created attachment 163067 [details]
Konsole on about:blank, with ICC
Comment 2 Michael Wood 2024-06-27 16:44:27 UTC
I am seeing this issue in wayland as well. A good way to reproduce is to set the color profile to 'none'. In the konsole profile settings set background color transparency to something like 20%. Observe that the window is not very transparent and the text is easily legible. Then change the color profile to an ICC profile and click apply. Observe that the konsole window immediately becomes much more transparent and the font is harder to see.

I am running plasma 6.1.1 with nvidia driver 555.52.04.
Comment 3 Bug Janitor Service 2024-07-04 17:43:20 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/6050
Comment 4 Zamundaaa 2024-07-05 14:45:58 UTC
Git commit f20ccabe80c056066f556f9f7f23b253e4704b43 by Xaver Hugl.
Committed on 05/07/2024 at 12:52.
Pushed by zamundaaa into branch 'master'.

backends/drm: do blending in gamma 2.2 space with color management too

This matches what we do without color management, and is more what users and app
developers expect. Going with linear blending before was mostly from it being more
"correct" / how physical blending of light works, but that doesn't really matter
when existing software expects it to behave differently.
Related: bug 479755

M  +1    -1    src/backends/drm/drm_egl_layer_surface.cpp

https://invent.kde.org/plasma/kwin/-/commit/f20ccabe80c056066f556f9f7f23b253e4704b43